API DocumentationManufacturer order controller

Create a new order

POST
/api/manufacturer/v1/order

Creates a new manufacturing order with the provided details

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Query Parameters

threadId?integer

ID of the thread to associate with the order

customerOrganisationId*integer

ID of the customer organisation to associated with the order

draft?boolean

Whether to save the quote as a draft. Draft quotes are internal and not visible to customers.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Order details

Response Body

application/json

curl -X POST "https://example.com/api/manufacturer/v1/order?customerOrganisationId=0" \  -H "Content-Type: application/json" \  -d '{    "requisitions": [      {        "requisitionIntentId": "4f452163-bc37-4324-abb4-e054f8422f48",        "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",        "units": "CENTIMETERS",        "quantity": 0,        "materialId": 0,        "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",        "postProcessing": [          {            "postProcessingId": 0,            "variables": {              "property1": 0,              "property2": 0            }          }        ],        "variables": {          "property1": 0,          "property2": 0        },        "comments": [          {            "message": "string",            "conversationType": "string"          }        ],        "constraints": [          {            "constraintType": "string"          }        ]      }    ],    "assemblyRequisitions": [      {        "requisitionIntentId": "4f452163-bc37-4324-abb4-e054f8422f48",        "assemblyId": "177e95d7-b841-4a88-9b1d-2e76eb106c0b",        "quantity": 0      }    ],    "expenses": [      {        "name": "string",        "type": "string"      }    ],    "currency": "USD",    "source": "string",    "markPaymentConfirmed": true,    "ccCustomerIds": [      0    ]  }'
{  "order": {    "id": 0,    "customerOrganisationId": 0,    "customerOrganisationName": "string",    "threadId": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updateDt": "2019-08-24T14:15:22Z",    "isArchived": true,    "isVoided": true,    "isPurchaseOrder": true,    "isInProject": true,    "isSilent": true,    "source": "string",    "billingAddressId": 0,    "currency": "string",    "localCurrency": "string",    "paymentStatus": "string",    "awaitingStatus": "string",    "quoteStatus": "string",    "kanbanColumnId": "string",    "quoteNumber": "string",    "orderNumber": "string",    "accountingSystemEstimateId": "string",    "accountingSystemEstimateNumber": "string",    "accountingSystemConfirmationId": "string",    "accountingSystemConfirmationNumber": "string",    "accountingSystemInvoiceId": "string",    "accountingSystemInvoiceNumber": "string",    "affiliate": "string",    "createdBy": {      "email": "string",      "firstName": "string",      "lastName": "string"    },    "owner": {      "email": "string",      "firstName": "string",      "lastName": "string"    },    "actorType": "string",    "paymentDueDate": "2019-08-24T14:15:22Z",    "productionProgress": {      "volume": 0,      "quantity": 0    },    "requisitionIds": [      0    ],    "assemblyRequisitions": [      {        "id": 0,        "assemblyId": "177e95d7-b841-4a88-9b1d-2e76eb106c0b",        "assemblyName": "string",        "quantity": 0,        "assemblyPricePaid": 0,        "totalPricePaid": 0,        "partCount": 0,        "createdAt": "2019-08-24T14:15:22Z"      }    ],    "expenses": [      {        "expenseId": 0,        "name": "string",        "description": "string",        "type": "string",        "quantity": 0,        "unitPrice": 0,        "localUnitPrice": 0,        "price": 0,        "costForOperator": 0      }    ],    "shipment": {      "id": 0,      "operatorId": 0,      "shippingMode": "SELF_COLLECTION",      "shippingMethodId": 0,      "customerOrganisationId": 0,      "rateId": "string",      "toAddressId": 0,      "status": "string",      "dispatchDate": "2019-08-24",      "toAddressDto": {        "addressId": 0,        "isBillingAddress": true,        "isShippingAddress": true,        "street1": "string",        "street2": "string",        "city": "string",        "state": "string",        "country": "string",        "countryAlpha2Code": "string",        "countryAlpha3Code": "string",        "jurisdictionIsoCode": "string",        "zip": "string",        "name": "string",        "company": "string",        "phone": "string",        "email": "string",        "residential": true,        "addressType": "string",        "isDeleted": true,        "taxId": "string"      },      "fromAddressDto": {        "addressId": 0,        "isBillingAddress": true,        "isShippingAddress": true,        "street1": "string",        "street2": "string",        "city": "string",        "state": "string",        "country": "string",        "countryAlpha2Code": "string",        "countryAlpha3Code": "string",        "jurisdictionIsoCode": "string",        "zip": "string",        "name": "string",        "company": "string",        "phone": "string",        "email": "string",        "residential": true,        "addressType": "string",        "isDeleted": true,        "taxId": "string"      },      "carrierAccountProvider": "string",      "carrierAccountServiceType": "string",      "carrierAccountServiceName": "string",      "estimatedRate": 0,      "finalRatePaid": 0,      "labelId": "string",      "labelUrl": "string",      "qrCodeUrl": "string",      "trackingDto": {        "id": 0,        "shipmentId": 0,        "trackingNumber": "string"      }    },    "discount": {      "discountId": 0,      "discountType": "string",      "code": "string",      "percentage": 0,      "startTime": "2019-08-24T14:15:22Z",      "endTime": "2019-08-24T14:15:22Z",      "customerId": 0,      "customerEmail": "string",      "customerPhoneNumber": "string"    },    "tax": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "components": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "shortName": "string",          "longName": "string",          "percentage": 0,          "amount": 0,          "localAmount": 0        }      ],      "totalPrice": 0,      "localTotalPrice": 0,      "isTaxAppliedToShipping": true,      "isTaxExempted": true,      "accountingSystemTaxId": "string",      "taxNumber": "string"    },    "price": 0,    "localPrice": 0,    "topUpPrice": 0,    "purchaseOrderNumber": "string",    "customerAcceptedTime": "2019-08-24T14:15:22Z",    "operatorNote": "string",    "customReference": "string",    "bypassPurchasabilityChecks": true,    "subscribedCustomerIds": [      0    ],    "isEditable": true  },  "requisitions": {    "property1": {      "id": 0,      "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d",      "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",      "orderId": 0,      "orderNumber": "string",      "customerOrganisationId": 0,      "customerOrganisationName": "string",      "pricingType": "string",      "manualPrice": 0,      "pricePaid": 0,      "quantity": 0,      "createdAt": "2019-08-24T14:15:22Z",      "lastUpdated": "2019-08-24T14:15:22Z",      "leadTimeId": "d4f8e2ce-2958-4e33-9da6-3f42e4f728f1",      "workOrders": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "workOrderNumber": 0,          "routingTemplateId": "d5248ea6-c45d-4ca8-a631-888f01032f54",          "name": "string",          "quantity": 0,          "routing": [            {              "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",              "sequence": 0,              "statusId": "e900225c-0629-4e96-be6e-86a17a309645"            }          ],          "createdAt": "2019-08-24T14:15:22Z"        }      ],      "variables": {        "property1": 0,        "property2": 0      },      "postProcessingVariables": [        {          "postProcessingId": 0,          "variables": {            "property1": 0,            "property2": 0          }        }      ],      "duration": 0,      "name": "string"    },    "property2": {      "id": 0,      "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d",      "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",      "orderId": 0,      "orderNumber": "string",      "customerOrganisationId": 0,      "customerOrganisationName": "string",      "pricingType": "string",      "manualPrice": 0,      "pricePaid": 0,      "quantity": 0,      "createdAt": "2019-08-24T14:15:22Z",      "lastUpdated": "2019-08-24T14:15:22Z",      "leadTimeId": "d4f8e2ce-2958-4e33-9da6-3f42e4f728f1",      "workOrders": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "workOrderNumber": 0,          "routingTemplateId": "d5248ea6-c45d-4ca8-a631-888f01032f54",          "name": "string",          "quantity": 0,          "routing": [            {              "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",              "sequence": 0,              "statusId": "e900225c-0629-4e96-be6e-86a17a309645"            }          ],          "createdAt": "2019-08-24T14:15:22Z"        }      ],      "variables": {        "property1": 0,        "property2": 0      },      "postProcessingVariables": [        {          "postProcessingId": 0,          "variables": {            "property1": 0,            "property2": 0          }        }      ],      "duration": 0,      "name": "string"    }  }}
Empty
Empty